QGIS Application - Feature request #8454
QgsFields: Implement container methods
2013-08-11 11:33 PM - Matthias Kuhn

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17223
Description

Concerns C++ and Python.

C++: Implement the iterator and const_iterator things, so we can do e.g.:

Q_FOREACH( QgsField f, fields )

Python:

Should this be a dict or a list? Either

for fieldname, field in fields.iteritems():

or

for field in fields:

should be possible

History

#1 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-09-22 10:06 AM - Jiirgen Fischer
- Category set to Unknown
